===================================
Sleipnir 2.30 正式版 リリースノート
===================================

Sleipnir 2.21 正式版 からの変更点は下記の通りです。

[重要な新機能]
- Sleipnir Bookmark Search を実装した。
- フォルダの色を変更できるようにした。
- 初回起動時にスタイル、設定の保存先を選択できるようにした。
- メモリ使用量を削減した。
- 速度改善を行った。
- お気に入り関係の機能を強化した。
- Override フォルダからユーザー定義の設定ファイルを読み込むようにした。
- 初回起動時に言語を自動で選択するようにした。（日本語、英語、中国語に対応して
　います。）

[新機能]
- 起動速度を高速化した。
- 全体的な速度改善を行った。
- プログラムをサイズ優先で最適化した。
- メモリ使用量を削減した。
- 初回起動時にスタイルの選択と Sleipnir.Property の生成を行う初期設定ダイアログ
　を表示するようにした。
- 前回終了時の状態をお気に入りグループとは別ファイルに保存するようにした。
　（settings/caches/ フォルダに LastSession.ffg を作成します。）
- 前回終了時の状態を、一定の間隔で自動保存するようにした。
- 個別設定でフォルダのアイコンを変更できるようにした。
- Favorites Editor の F1 キーでフォルダのアイコンを変更できるようにした。
- エクスプローラバーの表示ボタンを消して、エクスプローラバーのタイトルクリック
　で切り替えるようにした。
- アドバンスド検索バーがビューによって自動で切り替わるようにした。(現在は 
　Favorites Editor が対応しています。オプションで無効にできます。）
- お気に入り検索に対応した。（Bookmark Panel のコンボボックスから行えます。）
- Sleipnir オプション｜ビュー｜Favorites Editor｜アドバンスド検索バーと連動する
　を追加した。
- お気に入りに追加するときにページの description を取得し、コメントに割り当てる
　ようにした。
- お気に入りに追加するときに追加するフォルダを BookmarkPanel で選択されているフ
　ォルダにするようにした。
- BookmarkPlugin に検索コンボボックスを表示した。
- Sleipnir オプション｜Dock｜エクスプローラバーに検索コンボボックスを表示するを
　追加した。
- 初回起動時に言語を自動で選択するようにした。
- RSS バーを 1.25 にアップデートした。
- RSS クリップ用のブリッジプラグインを同梱するようにした。
- Sleipnir オプション｜デザイン｜Favicon を取得/表示するを追加した。
- Sleipnir オプション｜クライアント｜Language を追加した。
- 全ての設定ファイル（.xml、.ini）を Override フォルダから探すようにした。

[仕様変更]
- クラシック表示時のメニューのデザインを変更した。
- エクスプローラバーの表示ボタンのテキストを表示しないようした。
- 要素の OnMouseOver でタブのアイコンが書き換わらないようにした。
- 起動時に settings/<user>/setting/plugins.ini ファイルを読み込むようにした。
　（plugins.ini で使用するプラグインを指定できます。フォーマットは style ファイ
　ルとほとんど同じですが、Property セクションに InheritStyleFile キーを作成して、
　prefs.ini で指定されているスタイルを変更することもできます。）

[不具合修正]
- Jigサービスの有効、無効を切り替える時、落ちることがあった不具合を修正した。
- 初回起動の際、お気に入りグループのツリーが開いてしまう不具合を修正した。
- エクスプローラバー上のマウス操作時の挙動がおかしかった不具合を修正した。
　（TestBTS/72)
- リンクフォルダが空の際、リンクバーにリンクを追加できなかった不具合を修
　正した。(BTS/354)
- ツリーコントロールが１行選択にならない不具合を修正した。(BTS/25)
- お気に入りパネル、履歴パネルで、起動時に設定が反映されない事がある不具合を修正
　した。
- お気に入りのエクスポート時、お気に入り名に制御コードが含まれていると正しくエク
　スポートできない不具合を修正した。
- 関連付いた検索エンジン GUID が存在しないときに落ちる不具合を修正した。
- お気に入りのコメント入力欄が水平スクロールしてしまう不具合を修正した。
- Panel プラグインがユーザースタイルファイル(plugins.ini)から読み込まれない不具
　合を修正した。（Test3の不具合）
- PersonalBar プラグインの新しいウィンドウをアクティブにするオプションが無効に
　なっていた不具合を修正した。
- Favicon を既定で表示するようにした。（Test3での不具合）
- キーボードの設定読み込み時、読み込み設定した際にも失敗した故のポップアップが
　表示されてしまう不具合を修正した。
- 起動時にパラメータが渡された場合は起動処理を中止する、及び起動時に CTRL キー
　が押されている場合は起動処理を中止するにチェックが入っている場合、ウィンドウ
　一覧が表示されないことがあった不具合を修正した。(BTS/230)
- お気に入り個別設定のコンボボックスの、アイテムが正常に表示されていなかった不
　具合を修正した(BTS/319)
- お気に入りグループ編集時、ツリーに名前の変更が反映されていなかった不具合を修
　正した。(BTS/143)
- Sleipnir オプション｜検索エンジンリストのカテゴリ選択で、「Web ページを探す」
　を設定できなかった不具合を修正した。(BTS/280)
- アドレスバー、検索バーの履歴に長い文字列(1KB以上)があると起動時に落ちる不具合
　を修正した。(BTS/314)
- MBCS版でお気に入りのエクスポートに失敗することがあった不具合を修正した。
　(BTS/284)
- URLのドメイン以下に全角の「．・。」が混じっていた際、半角の「.」に置換される
　不具合を修正した。
- 右クリックで新規ウインドウを開くと強制的にアクティブになっていた不具合を修正
　した。(BTS/236)
- CTRLを押しながら起動した際、タブの追加位置が必ず「アクティブタブの右」になる
　不具合を修正した。
- ウィンドウが右にずれることがある不具合を修正した。（test2の不具合）
- スクロールタブの時に、タブの最大幅のみ指定するオプションが効いていない不具合
　を修正した。
- 新しいウィンドウをアクティブにする設定で、サイズの指定された新しいウィンドウ
　を開いたときに、ページのサイズとウィンドウサイズが異なることがある不具合を修
　正した。（TestBTS/21）
- スクリプトメニューを「続きを表示」で表示した時に、スクリプトの有効無効にかか
　わらず有効表示される不具合を修正した。（TestBTS/41）
- クイックセキュリティで何度か切り替えると戻る/進むの履歴が消える不具合を修正し
　た。
- 初回起動時に、アクティブなタブにウィンドウを開き、その後新しいウィンドウを開
　こうとしても１度だけアクティブなタブにウィンドウが開かれる不具合を修正した。
　（TestBTS/8）
- お気に入りお気に入りグループの個別設定のダイアログで同じ項目が表示される不具
　合を修正した。
- コンボボックスの履歴が表示されなくなる不具合を修正したかもしれません。
　（TestBTS/32）
- タスクトレイから復帰させるときに、復帰後にタスクバーで Sleipnir が点滅するこ
　とがある不具合を修正したかもしれません。（TestBTS/48）
- XP でビジュアルスタイル使用時に、タブ拡張の設定が一部効かない不具合を修正し
　た。
- ホイールによるタブスクロールがホイールによるタブ切り替えが無効なときに動作し
　ない不具合を修正した。（TestBTS/30）
- ホームページを空欄にすると起動後に『無効な構文エラー』が表示される不具合を修
　正した。（TestBTS/57）
- 右ダブルクリックに SaveAs を割り当てていると、キャンセル後にマウスジェスチャ
　によるアクションが１度だけ実行されなくなる不具合を修正した。（TestBTS/40）


===================================
Sleipnir 2.21 正式版 リリースノート
===================================

Sleipnir 2.20 正式版 からの変更点は下記の通りです。

[重要な不具合修正]
- ２バイト文字のリンクを開こうとすると固まる不具合を修正した。(BTS/263)

[重要な新機能追加]
- Sleipnir オプションにタブ拡張を追加した。
- タブの既読/未読管理を強化した。

[新機能]
- Sleipnir オプション｜Dock｜タブ拡張｜タブ切り替えをローテートするを追加した。
- Sleipnir オプション｜Dock｜タブ拡張｜スクロールタブの時にホイールでタブをスク
　ロールするを追加した。
- Sleipnir オプション｜Dock｜タブ拡張｜アクティブタブを強調表示するを追加した。
　（スキンで強制的に設定する場合は、skin.ini の "Settings" セクションに
　ActiveTabBold=enable を追加してください）
- Sleipnir オプション｜Dock｜タブ拡張｜未読タブを強調表示するを追加した。（アク
　ティブタブを強調表示すると排他的に設定できます。）
- Sleipnir オプション｜Dock｜タブ拡張｜未読タブの色を変更するを追加した。
- Sleipnir オプション｜Dock｜タブ拡張｜タブが1個の時はタブバーを隠すを追加した。
- ウィンドウ｜既読をすべて閉じるを追加した。
- ページの読み込み完了時にタブを未読状態にするようにした。
- Classic 表示時にタブを下にした時の描画方法を変更した。
- タブを下にしたときのアイコンの位置を若干調整した。
- user.ini の TabDockSetting セクションに ScrollSize キーを追加した。

[仕様変更]
- プロキシマネージャの表示方法を変更した。
- ヘルプ等の URL を Urls.ini から読み込むように変更した。

[不具合修正]
- ２バイト文字のリンクを開こうとすると固まる不具合を修正した。(BTS/263)
- HideSingleTab が有効、かつ起動時にタブが１個の時にタブ Dock が隠れない不具合
　を修正した。
- スタートアップに「about:home」が割り当たっている際、起動の毎に「about:blank」が
　複数開いてしまう不具合を修正した。
- 検索エンジンメニューの選択中、ESCキーなどでキャンセルしても正しくキャンセルされ
　なかった不具合を修正した。
- MBCS版でクライアントの多重起動を許可していない際、多重起動しようとすると落ちる
　事があった不具合を修正した。(BTS/193)
- リンクバーをシェブロンだけにできない不具合を修正した。（test5の不具合）
- スクロールタブの時に左端のタブが隠れる事がある不具合を修正した。
　（TestBTS/15）
- 多段表示時にタブの幅を 0 にすると落ちる不具合を修正した。（TestBTS/37）
- ツールバーをカスタマイズしたときにシェブロン（>>）の位置がおかしくなる不具合
　を修正した。
- ツールバーのシェブロンから、FontSize や Encode を選択したときにポップアップメ
　ニューを表示するようにした。（TestBTS/49）
- styles/sleipnir.ini(japanese) のメニューで重複したアクセラレータキーがあった
　のを修正した。（TestBTS/28）
- ナビゲーションロックしたウィンドウから通常クリックで開かれたウィンドウが子ウ
　ィンドウにならずセキュリティも継承されない不具合を修正した。（TestBTS/58）
- 選択部分のリンクを開くで開かれたウィンドウが子ウィンドウにならずセキュリティ
　も継承されない不具合を修正した。（TestBTS/58）
- ダイアログのキャンセルが Cancel になっていた不具合を修正した。
- 新しいウィンドウを開いたときに通信状態アニメーションが開始しないことがある不
　具合を修正した。（test3の不具合）
- 最後のタブを閉じたときにできる about:blank タブで Roboform が一時的に使えなく
　なる不具合を修正した。
- プロキシの追加で空のプロキシが追加できる不具合を修正した。（TestBTS/2）
- Favorites Editor でインプレイス編集中に D&D できてしまう不具合を修正した。
　（TestBTS/5）
- Favorites Editor でインプレイス編集中に遷移すると、インプレイス編集が残ってし
　まう不具合を修正した。（TestBTS/29）
- Favorites Editor で '/' を含むフォルダを開けない不具合を修正した。
- Favorites Editor で開いているフォルダをエクスプローラバーから削除したときに落
　ちる事がある不具合を修正した。（TestBTS/31）
- お気に入り｜追加｜追加ウインドウでコメントを入れても残らない不具合を修正した。
　(TestBTS/24)
- 検索エンジンリストの編集で落ちる不具合を修正した。(TestBTS/12)
- Sleipnirオプション｜マウス割り当て｜押下ホイールのコンボボックスが全てズームに
　なっていた不具合を修正した。


===================================
Sleipnir 2.20 正式版 リリースノート
===================================

Sleipnir 2.10 正式版 からの変更点は下記の通りです。

[重要な新機能]
- 多言語化に完全対応した。
- タブの既読未読状態を表示するようにした。
- 全画面表示時の表示項目を通常時とは別に記憶するようにした。
- 国際化ドメインに関する不具合を修正した。

[新機能]
- 多言語化に完全対応した。
- タブの既読未読状態を表示するようにした。（未読のタブは青色で表示します。）
- 全画面表示時の表示項目を通常時とは別に記憶するようにした。（デフォルトでは標
　準のツールバーだけになります。必要な項目を右クリックメニューから選択してくだ
　さい。）
- Sleipnirオプション｜ツールバー｜検索バー｜検索エンジン選択と同時検索時は検索
　エンジンを変更しないを実装した。
- skin.ini の [Colors] セクションにタブの未読状態を示す TabUnreadText を追加した。

[仕様変更]

[不具合修正]
- お気に入りパネル｜D&Dをすると落ちる事があった不具合を修正した。（BTS/34）
- 編集｜選択キーワードの検索で、検索バーの設定が正しく反映されていなかった不具
　合を修正した。（BTS/71）
- アドレスバー｜お気に入り検索で落ちる不具合を修正した。（TestBTS/26,42,62）
- Sleipnir オプション｜ツールバー｜検索バー｜リストから検索エンジン選択と同時に
　検索するをチェックした際、検索バーのメニューでキャンセルできなかった不具合を
　修正した。
- 全角英字、数字のみの日本語URIを認識できなかった不具合を修正した。
- http スキームが付加されていない日本語URIを認識できなかった不具合を修正した。


===================================
Sleipnir 2.10 正式版 リリースノート
===================================

Sleipnir 2.00 正式版 からの変更点は下記の通りです。

[重要な新機能]
- お気に入りの整理を行う Favorites Editor Plugin を作成した。
- アドバンスド検索バーを強化した。
- エクスプローラバーを右に表示できるようにした。
- リンクバーの複数行表示できるようにした。
- エクスプローラバーの最後に選択したパネルを記憶するようにした。
- お気に入り、履歴、最近閉じたページツリー、リンクバーに Favicon を表示するよう
　にした。
- 検索ボタンを右クリックで最近使った検索エンジンメニューを表示するようにした。
- ページ検索ボタンを右クリックでキーワード選択メニューを表示するようにした。
- Firefox のインポートに失敗することがある不具合を修正した。

[新機能]
- ツールバー上のポップアップメニューでメニューバーを追加した。
- エクスプローラバー上のツールバーのアイコンを変更した。
- 最後に選択したパネルを記憶するようにした。
- お気に入り、履歴、最近閉じたページツリーに Favicon を表示するようにした。
- キー割り当てに PageUp/PageDown を割り当てられるようにした。
- お気に入りパネル｜お気に入りのコピー、切り取り、貼り付けを実装した。
- お気に入りパネル｜お気に入りグループのコピー、切り取り、貼り付けを実装した。
- お気に入りパネル｜jigお気に入りのコピー、切り取り、貼り付けを実装した。
- エクスプローラバーにパネル切り替えボタンを追加した。
- skin.ini の [General] セクションに ButtonText を追加した。（テキストラベルを
　非表示にします。再起動後に反映されます。）
- skin.ini の [General] セクションに ButtonDropDown を追加した。（ドロップダウ
　ン▼を非表示にします。再起動後に反映されます。）
- 標準のボタンツールバーに ToolBar プラグインを埋め込めるようにした。（１行に
　ツールバー、アドレスバー、検索バーを格納できます。詳しくは 
　styles/advance.ini を参照してください。）
- Sleipnir オプション｜検索｜検索エンジンリストを実装した。
　拡張アイテムの編集は、以下の形式で行えます。
　ListBox: Item|Value[改行]Item|Value[改行]Item|Value[改行]...
　ComboBox: Description[改行]Item[改行]Item[改行]Item[改行]...
- アクティブエンジン検索ボタンを右クリックで最近使った検索エンジンメニューを表
　示するようにした。
- ページ検索ボタン｜右クリック｜複数検索ワードメニューを実装した。（空白区切り
　の文字がメニュー表示されます。選択すると、コンボボックスの文字列選択、及びペ
　ージ内の該当文字へジャンプします。）
- 検索バーの履歴削除時、検索バーのエディットボックスの内容を消去するようにした。
- リンクバーを Favicon に対応させた。
- お気に入りの整理から Favorites Editor を呼び出すようにした。
- Sleipnir オプション｜Dock｜エクスプローラバー｜バーの位置を追加した。（エクス
　プローラバーを右に移動できます。右の場合はサイズ変更中に動的にサイズは変更さ
　れず、カーソルのみの変更になります。そのうち直します。）
- Sleipnir オプション｜Dock｜エクスプローラバー｜反応時間を追加した。
- ツールバーのシェブロンで表示するメニューを日本語化した。
- Sleipnir オプション｜ブラウザエンジン｜Internet Explorer｜スクロールバーをフ
　ラットにするを追加した。
- アドレスバーのお気に入り検索の仕様を Sleipnir 1.66 と同じにした。（コメント、
　URI、タイトルから評価を行い最もスコアの高いものを表示します。）
- アドバンスドページ検索バーにフォーカスがあるときは、マウスホイールで「次を検
　索」「前を検索」を行うようにした。
- リンクバーの複数行表示を実装した。
- リンクバーにアイコンを表示するを実装した。
- アドレスバー｜ポップアップメニュー｜このアドレスに移動を実装した。
- アドレスバー｜ポップアップメニュー｜ページ検索を実装した。
- アドレスバー｜ポップアップメニュー｜ハイライトを実装した。
- アドレスバー｜ポップアップメニュー｜検索エンジンで検索を実装した。
- アドレスバーで Ctrl + Enter を押すとでお気に入りを検索するようにした。
- アドレスバーで↓キーを押すとポップアップメニューを出すようにした。
- Sleipnir オプション｜アドレスバー｜移動ボタンを表示するを実装した。
- アドレスバーのアイコンをダブルクリックで Internet Explorer でアクティブなペー
　ジを開くようにした。
- Sleipnir オプション｜検索エンジンメニュー｜検索エンジンメニューの表示を 1.66 
　互換にするを実装した。
- 検索バー｜検索エンジンメニュー｜全検索エンジンから探すを実装した。
- Sleipnirオプション｜検索エンジンメニュー｜メニューの内容を目的別に変更した。
- Sleipnirオプション｜検索エンジンメニュー｜「新規カテゴリ」のボタン名称を
　「新規」に変更した。
- Sleipnirオプション｜検索エンジンメニュー｜「新規アイテム」ボタンを押すと、ポ
　ップアップメニューを表示するようにした。(階層化の開始、終了、セパレータをメニ
　ューから作成できるようにした)
- Sleipnirオプション｜検索エンジンメニュー｜新規アイテム、編集ボタンを押した時
　に出るポップアップの検索エンジンの選択を、目的別表示に対応させた。
- Sleipnir オプション｜デザイン｜クラシック表示時に垂直境界線を描画するを追加し
　た。
- Sleipnir オプション｜デザイン｜常にツールバーを固定するを追加した。
- Sleipnir 1.66 のお気に入りインポート時にフォルダの個別設定が正しくインポート
　されない不具合を修正した。
- styles/*.def ファイルで各プラグインの初期設定を指定できるようにした。
- 検索エンジンメニューにカスタマイズを追加した。

[仕様変更]
- アドレスバー "http://"が無い際の日本語ドメイン判別方法を変更した。（「。」が
　あれば日本語ドメインと判別するようにした。）
- お気に入りが未選択の際、「追加」「整理」ボタンを押した時に、お気に入りの追加、
　整理が動作するように変更した。
- Sleipnir オプションの検索エンジン関連のページを「検索」カテゴリに移動した。
- Sleipnir オプションの「ブラウザエンジン」を「ビュー」に名称変更した。
- 検索バーの「〜で検索」の文字を透過させて描画するようにした。
- アドレスバーで Ctrl + 下キーで拡張メニューを表示するようにした。（アドレスバ
　ーの下キーはオートコンプリートに譲りました。）
- Sleipnirオプション｜検索エンジンメニュー｜新規アイテム｜先頭に「―」があれば
　セパレータと認識していたのを「-」があればセパレータと認識するようにした。

[不具合修正]
- ButtonDropDown=false で必要なドロップダウン（▼）まで消えてしまう不具合を修正
　した。（test10の不具合）
- リンクバーのシェブロン(>>)の中で「このフォルダを開く」が使用できない不具合を
　修正した。（BTS/221）
- ページ検索とWeb検索を連動させているときに、Web検索の検索結果をバックグラウン
　ドで開いたときに挙動がおかしくなる不具合を修正した。（BTS/183）
- メニューバーのフォーカスが Esc キーで外れないことがある不具合を修正した。
- 個人情報の削除｜検索バーで、検索バーにフォーカスが当たっていない時、検索ボッ
　クスの文字列が正しく削除できなかった不具合を修正した。(test8の不具合修正)
- Windows XP 以外の OS で検索ボタンの高さがおかしい不具合を修正した。(BTS#62)
- RoboForm ツールバーが表示されているときに、落ちることがある不具合を修正した。
- IFRAME の枠が描画されない不具合を修正した。
- Ctrl+F6 でタブが切り替わらずにウィンドウが切り替わる不具合を修正した。
- Firefox ブックマークのインポートに失敗することがある不具合を修正した。
- アドレスバーのテキストを消去したときに１ドット描画されない不具合を修正した。
- タブで自分自身に D&D できる不具合を修正した。
- 「移動ボタンにテキストを表示する」にチェックを入れた際、ボタンの位置がずれる
　事がある不具合を修正した。（BTS#135）
- Sleipnirオプション｜検索｜検索エンジンリストで名前を編集する時、変更がリスト
　にも反映されない不具合を修正した。
- ListBoxがある検索エンジンを検索エンジンボタンに設定した時、正常に検索が行われ
　ない事がある不具合を修正した。(BTS/101)


===================================
Sleipnir 2.00 正式版 リリースノート
===================================

Sleipnir 2.00 RC1 からの変更点は下記の通りです。

[重要な新機能]
- 全体的な速度向上を行った。
- 品質向上を行った。
- インポート・エクスポートを実装した。

[新機能]
- 全体的な速度向上を行った。
- アドレスバー｜移動ボタンにテキストを表示するを実装した。
- クライアント｜最新バージョンが公開されたら通知するを実装した。
- ファイル｜お気に入りのエクスポートを実装した。
- ファイル｜お気に入り/設定のインポートでインポートできるブラウザを増やした。
- 16x16 のスキンに対応した。（small-default/small-sleipnir/
　small-sleipnir(classic)を追加しています。）
- ツールバーのカスタマイズで、アクション名を日本語で表示するようにした。
- キーボードのカスタマイズで、アクション名を日本語で表示するようにした。
- 国際化ドメインで正規化を行うようにした。
- 国際化ドメインでドメインラベル区切り文字に対応した。
- マウスジェスチャの登録方法を 1.66 互換にした。
- マウスジェスチャ実行中のステータスメッセージを日本語化した。
- シェブロン(>>)のスキンに対応した。

[仕様変更]
- ツールバースキンの仕様を変更した。（ツールバーのサイズは skin.ini で指定する
　ようにしました。スキン職人の方々、お手数をおかけして申し訳ございません。）
- 初回起動時のツールバーの位置を調整した。
- 初回起動時に RoboForm ツールバーを表示しないようにした。
- 既定の Escape キーを中止に割り当てた。(使用するには、キーカスタマイズの初期化
　が必要です。）
- グローバルセキュリティ→デフォルトセキュリティに名称を変更した。
- GoButtonMenu.xml の application: でシングルクオート(')を指定していると、ダブ
　ルクオートに置換するようにした。

[不具合修正]
- ツールバーのカスタマイズでおかしくなることがある不具合を修正した。
- ツールバーのリセットでおかしくなることがある不具合を修正した。
- 一部のページで CPU 100% に陥る不具合を修正した。
- クリップボードの監視で '"' を認識する不具合を修正した。
- フォーカス処理を全体的に改善した。
- クリップボードの監視で既に開かれているページも開いてしまう不具合を修正した。
- ファイルを開くダイアログで「参照」ボタンが何度も押せる不具合を修正した。
- 右ダブルクリックに OpenLinkNewWindow を割り当てても動作しない不具合を修正し
　た。
- マウス割り当てにダイアログを表示するアクションを割り当てると、ダイアログが
　複数表示される不具合を修正した。
- Switch Security Plugin の音楽とビデオが逆になっている不具合を修正した。
- マウスジェスチャ実行の仕様が Sleipnir 1.66 と異なる不具合を修正した。
- 左→右の割り当てを「なし」にしている場合は、他のアプリケーションで取得できる
　ようにした。
- Ctrl+右クリックを他のアプリケーションで取得できるようにした。
- 標準のボタンツールバーのツールチップがすべて「戻る」になっていたのを修正した。
- フレームを使ったページで選択部分の〜系のアクションが動作しない不具合を修正し
　た。
- Windows 9x で Sleipnir オプションの画面が切れる不具合を修正した。
- Windows 9x でプロキシマネージャの画面の文字が化ける不具合を修正した。
- Windows 9x でファイルを開くダイアログが表示されない不具合を修正した。
- Windows 98(SE?) でスキンが適用されない不具合を修正した。
- キーボードショートカットの保存が読み取りダイアログだった不具合を修正した。
- Sleipnir.API::SetAutoRefresh で例外がでる不具合を修正した。
- プロキシリストで「下へ」を押下したときに落ちることがある不具合を修正した。
- メニューとツールバーでシェブロンの計算がおかしい不具合を修正した。
- リンクフォルダが無いときに、リンクバーに D&D を行うと落ちる不具合を修正した。
- リンクフォルダの名前を変更したときに、リンクバーの中身が更新されない不具合を
　修正した。
- 全てのプロトコルに適用しないプロキシの切り替えが正常に動作しない不具合を修正
　した。
- 一時ショートカット(caches/shortcuts)にゴミが残ることがある不具合を修正した。
- クリップボードの監視が無効の時に、他のクリップボードユーティリティにメッセー
　ジが届かなくなる不具合を修正した。
- リンクバーにフォルダが多層にわたって存在する場合、下位のフォルダの内容を表示
　した後に上位のフォルダの「このフォルダを開く」を選択すると下位のフォルダにあ
　るリンクが開かれる不具合を修正した。
- URI アクションマネージャの「上へ」「下へ」ボタンにスキンが適用されない不具合
　を修正した。
- WWWC の開くで複数のアイテムを送ることができない不具合を修正した。
- SearchEngineList.xml に <Engine> タグが抜けている不具合を修正した。
- Sleipnir オプションが Escape キーで閉じられない不具合を修正した。
- 設定項目に 1000000000 以上の数値を指定すると落ちる不具合を修正した。
- マウスジェスチャに割り当て不可能な内部アクション（'-'で始まるもの）が表示され
　ていた不具合を修正した。
- ReBar 上のポップアップで、エクスプローラバー｜(項目)を選択してもメニューが消
　えない不具合を修正した。
- ポップアップメニューを右ボタンで選択時にマウスポインタの下にフォーカスが移動
　してしまう不具合を修正した。
- MSN Web Messenger で落ちる不具合を修正した。
- リンクバーのフォルダ、及びシェブロンのポップアップメニューで "-" がセパレータ
　にならない不具合を修正した。
- ホームページに about:blank を登録しているときに「戻る」が使えなく不具合を修正
　した。
- about: も punycode に変換してしまう不具合を修正した。
- 国際化ドメインが新しいウィンドウで開けない不具合を修正した。
- リソースリークを修正した。
- メモリリークを修正した。
- Programs.ini で引数が渡せない不具合を修正した。
- リソースリークを修正した。
- Favicon の反転色が正しく表示されない不具合を修正した。
- アドレスバーの選択で選択範囲が切れることがある不具合を修正した。（bug#1315）
- IEFavorites Plugin が個別設定を持っている不具合を修正した。
- 国際化ドメインが javascript にも反応してしまう不具合を修正した。


==================================
Sleipnir 2.00 RC1 リリースノート
==================================

Sleipnir 2.00 beta5 からの変更点は下記の通りです。

[重要な新機能]
- アドバンスドページ検索バーを実装した。
- ツーストロークキー（Ctrl+T-N 等）に対応したキーカスタマイズを実装した。
- 国際化ドメイン(IDN)に対応した。
- お気に入りの個別設定を実装した。
- スクリプト機能を実装した。
- URI アクションを実装した。
- ウィンドウ一覧パネルを実装した。
- ズームを維持するようにした。
- ハイライトの複数キーワードに対応した。
- コンボボックスで下キーを押下すると、検索エンジンを選択できるようにした。

[新機能]
- お気に入りの個別設定を実装した。（Sleipnir 2.00 では、セキュリティを始め、エ
　ンコード、ブラウザエンジン、ズーム、ナビゲーションロック、自動更新が個別設定
　できます。上位のフォルダの設定を引き継ぐのは Sleipnir 1.66 と同じです。アイコ
　ンは未実装です。）
- お気に入りグループで個別設定を保存するようにした。（前回終了時の状態で、ナビ
　ゲーションロックや、ズーム、ブラウザエンジンを復元できるようになりました。）
- 初回起動時に Key.xml を読み込むようにした。
- Sleipnir オプション｜ユーザ インタフェース｜キーボードに設定の保存を追加した。
- Sleipnir オプション｜ユーザ インタフェース｜キーボードに設定の読み込みを追加
　した。
- メニューにショートカットキーを表示するようにした。（キーボードショートカット
　をカスタマイズした場合は再起動後に反映します。）
- タブ上の空白をホイールクリックで最後に閉じたタブを復元するようにした。
- ツーストロークキーに対応したキーカスタマイズを実装した。
- Sleipnir オプション｜ユーザ インタフェース｜キーボードを実装した。
- 表示｜タブスクロール｜タブスクロール左を実装した。(Shift+F2)
- 表示｜タブスクロール｜タブスクロール右を実装した。(Shift+F3)
- Application Data 以下に設定を保存できるようにした。（bin/Sleipnir.Property 
　ファイルの UseAppData を 1 にして下さい。）
- settings/ 以下ですべてのユーザーで同じ設定を利用できるようにした。
　（bin/Sleipnir.Property ファイルの MultiUser を 0 に、UseAppData を 0 にして
　下さい。UseAppData を 1 にすると、ユーザー別の Application Data を使用してし
　まいます。）
- Sleipnir オプション｜クリップボード｜クリップボードから作成で複数の URI を読
　み込むを実装した。
- 標準のブラウザに設定するダイアログで２回目以降をチェックボックスで非表示にで
　きるようにした。
- Programs.ini に対応した。（settings/<UserName>/setting/Programs.ini）
- ユーザー名を指定する起動オプション /u:<UserName> に対応した。
- 多重起動する起動オプション /m に対応した。
- Sleipnir オプション｜電子メール｜mailto で電子メールクライアントを起動しない
　を実装した。
- Sleipnir オプション｜電子メール｜ユーザー指定の電子メールクライアントを使用す
　るを実装した。
- Tab Dock の空き領域をダブルクリックで新しいウィンドウを開くようにした。
- リンクバーをセパレータに対応させた。
- Sleipnir オプション｜ブラウザエンジン｜UserAgent のリストを UserAgent.ini か
　ら読み込むようにした。
- Sleipnir オプション｜確認｜クライアントの終了時に警告を実装した。
- Sleipnir オプション｜確認｜ファイルをダウンロード中の終了を警告を実装した。
- skin.ini の ReBarSkinType に right-tile を追加した。（右上起点の背景にする時
　にご利用ください。）
- skin.ini に LogoSkin を追加した。（右上に描画される画像です。）
- Sleipnir 本体で（タイトルバーや ReBar 領域）ドラッグアンドドロップを受け入れ
　るようにした。（複数のファイルを開くことができます。）
- 国際化ドメイン(IDN)に対応した。（無効にするには Sleipnir オプション｜ブラウザ
　｜Internet Explorer｜国際化ドメイン(IDN)を有効にするのチェックを外してください。）
- ツール｜URI アクションの有効を実装した。
- ツール｜URI アクションマネージャを実装した。
- 前回終了時の状態復帰時、ウィンドウ一覧の親子関係を復元するようにした。（今の
　ところグループは復元できません。）
- 起動を高速化した RSS バーを同梱した。
- コンボボックスで F4 を押下すると、ドロップダウンを表示するようにした。
- コンボボックスで下キーを押下すると、検索エンジンを選択できるようにした。
- 前回終了時の状態復帰時、タブの並び順を復帰するようにした。
- Web 検索を使い自動でアドバンスドページ検索バーが表示された場合は、全てのタブ
　を閉じたと同時にバーを非表示にするようにした。
- ウィンドウ一覧パネルを実装した。（今のところ 1.66 互換です。）
- 標準のボタンにウィンドウ一覧を追加した。
- Sleipnir オプション｜Dock｜ページ検索バー｜Web 検索時にアドバンスドページ検索
　バーを自動的に表示するを追加した。
- Sleipnir オプション｜ページ検索バー｜アドバンスド検索バーと連動するを追加した。
- Sleipnir オプション｜ページ検索バー｜クライアントのページ検索ダイアログの代わ
　りに使用するを追加した。（通常の検索ダイアログを使用したい場合は、このオプシ
　ョンをオフにしてください。）
- Sleipnir オプション｜ページ検索バー｜ドッキング位置を追加した。（アドバンスド
　ページ検索バーをウィンドウ上部に表示することができます。）
- 編集｜ページの検索｜次のキーワードの検索を実装した。（Ctrl+F4）
- 編集｜ページの検索｜前のキーワードの検索を実装した。（Ctrl+Shift+F4）
- 編集｜ページの検索｜検索キーワードのハイライトを実装した。（Ctrl+Shift+H）
- 編集｜選択キーワードの Grep を実装した。（Ctrl+R）
- ズームをナビゲートしても維持するようにした。
- 新しいウィンドウが開かれたときにズームを継承するようにした。
- 標準のボタンの「検索」をアドバンスドページ検索バーと連動するようにした。
- アウトプットをスキンに対応させた。（backgroundスキン）
- Sleipnir.API に PageSearchBarString を追加した。（アドバンスドページ検索バー
　の文字列取得・設定ができます。）
- Grep で遷移したときにキーワードをページの中央に表示するようにした。
- アドバンスドページ検索バーをスキンに対応させた。（標準スキン４種類は対応して
　います。）
- アドバンスドページ検索バーを実装した。（CTRL+Fで表示できます。Geckoエンジンで
　は使えません。リンク抽出は "*.zip" 等、ワイルドカードに対応しています。）
- ハイライトの複数キーワードに対応した。
- リンク抽出を実装した。（アドバンスドページ検索バーから実行できます）
- インクリメンタル検索を実装した。（アドバンスドページ検索バーから実行できます）
- スクリプト機能を一部実装した。
- Output Dock プラグインを作成した。（閉じるには Output Dock にフォーカスがある
　状態で ESC キーを押下するか、Alt+2、あるいはメニューから選択して下さい。）
- Sleipnir.API:: AddressBarString プロパティを実装した。
- Sleipnir.API:: SearchBarString プロパティを実装した。
- Sleipnir.API:: OutputCurSel プロパティを実装した。
- Sleipnir.API:: OutputScript プロパティを実装した。
- Sleipnir.API:: OutputVisible メソッドを実装した。
- Sleipnir.API:: OutputGetCount メソッドを実装した。
- Sleipnir.API:: OutputAddString メソッドを実装した。
- Sleipnir.API:: OutputInsertString メソッドを実装した。
- Sleipnir.API:: OutputClear メソッドを実装した。
- Sleipnir.API:: OutputGetString メソッドを実装した。
- Sleipnir.API:: OutputDeleteString メソッドを実装した。
- ツール｜スクリプトの整理を実装した。
- Sleipnir オプション｜スクリプトによる Sleipnir の操作を許可するを追加した。
- メニュー｜グループ｜お気に入りグループの整理を実装した。
- お気に入りパネル｜お気に入りグループ｜追加ボタンを実装した。
- お気に入りパネル｜お気に入りグループ｜整理ボタンを実装した。
- お気に入りパネル｜終了時に開いていたツリーアイテムを、次回起動時に
  復帰するようにした。（一階層のみ復帰します。）
- お気に入り｜右クリックメニュー｜タイトルのコピーを実装した。
- お気に入り｜右クリックメニュー｜URI のコピーを実装した。
- お気に入り RSSダイナミックフォルダ｜右クリックメニュー｜タイトルのコピーを実
　装した。
- お気に入り RSSダイナミックフォルダ｜右クリックメニュー｜URI のコピーを実装し
　た。
- お気に入りグループ｜右クリックメニュー｜タイトルのコピーを実装した。
- お気に入りグループ｜右クリックメニュー｜URI のコピーを実装した。
- jigブラウザお気に入り｜右クリックメニュー｜タイトルのコピーを実装した。
- jigブラウザお気に入り｜右クリックメニュー｜URI のコピーを実装した。

[仕様変更]
- 画面サイズを考慮し、既定のツールバーのアイコンを減らした。
- StdActonsTasktrayPopup.xml -> StdActionsTasktrayPopup.xml にリネームした。
- 検索エンジンメニューで既定のアイテムを Sleipnir Search からメニューの先頭カテ
　ゴリに変更した。
- 検索エンジンリスト（SearchEngineList.xml）の読み込み時、settings/Override/
　にファイルがあれば参照するようにした。
- Sleipnir 1.66 お気に入りのインポート時、コメントをインポートするようにした。
- Sleipnir 1.66 お気に入りのインポート時、個別設定をインポートするようにした。

[不具合修正]
- MBCS 版でボタンのテキストが切れる不具合を修正した。
- ReBar の描画が乱れる不具合を修正した。
- 最後のタブを閉じたときに最近閉じたページに追加されない不具合を修正した。
- Sleipnir.exe のバージョン情報でファイル名が iexplore.exe になっている不具合を
　修正した。
- メッセージボックス表示後にアクティブなウィンドウがおかしくなることがある不具
　合を修正した。
- 検索バーの履歴数が正しく保存されない不具合を修正した。
- 検索エンジンメニューの新規、編集でコンボボックスの高さが１行だった不具合を修
　正した。
- お気に入りのパネルで、ドラッグしたアイテムの真上のアイテムにドロップすると落
　ちる不具合を修正した。(bug#1188)
- 検索エンジンリスト（SearchEngineList.xml）の読み込み時、style.ini で指定され
　ているフォルダを参照していなかった不具合を修正した。


====================================
Sleipnir 2.00 beta5 リリースノート
====================================

Sleipnir 2.00 beta4 からの変更点は下記の通りです。

[重要な新機能]
- Sleipnir Speed Launcher を作成した。
- カスタマイズ可能なツールバーのボタンを 1.66 相当まで増やした。
- 検索バーの検索エンジンメニューを編集可能にした。
- RSS バーを既読管理のできる 1.22 にアップデートした。
- 最近閉じたページを実装した。
- ポップアップブロックを実装した。
- ページブロック（Sleipnir 1.66 の禁止タイトル/禁止URL）を実装した。
- クリップボード機能を実装した。
- about:home でホームページを開くようにした。
- Bookmarklet に対応した。
- ダイアログ抑制を実装した。

[新機能]
- 実行ファイル名を iexplore.exe から Sleipnir.exe に変更した。
- ホイールクリックでページスクロールをできるようにした。
- 全体的な最適化を行った。（beta4 よりは安定して早くなっていると思います）
- タブの切り替えを高速化した。
- 最近閉じたページを実装した。
- Sleipnir オプションで最後に選択したツリーを起動中は記憶しておくようにした。
- 検索バーの検索エンジンメニューを編集可能にした。（Sleipnir オプション｜ツール
　バー｜検索エンジンメニューから編集できます。検索エンジンの編集はまだ対応して
　いません。）
- 最近閉じたページをメニューに追加した。
- 全体的な速度重視の最適化を行うようにした。（多くのテスト報告有り難うございま
　した。）
- TabDock のホイールクリック、右クリックを高速化した。(タブを閉じる等）
- 標準のボタンツールバーに「閉じる」ボタンを追加した。
- 標準のボタンツールバーに「すべて更新」ボタンを追加した。
- 標準のボタンツールバーに「すべて中止」ボタンを追加した。
- 標準のボタンツールバーに「お気に入りグループ」ボタンを追加した。
- 標準のボタンツールバーに「最近閉じたページ」ボタンを追加した。
- 標準のボタンツールバーに「自動更新」ボタンを追加した。
- 標準のボタンツールバーに「クリップボードを開く」ボタンを追加した。
- 標準のボタンツールバーに「選択部分のリンクを開く」ボタンを追加した。
- 標準のボタンツールバーに「選択キーワードの検索」ボタンを追加した。
- 標準のボタンツールバーに「お気に入りに追加」ボタンを追加した。
- 標準のボタンツールバーに「お気に入りグループとして保存」ボタンを追加した。
- 標準のボタンツールバーに「ソースの表示」ボタンを追加した。
- 標準のボタンツールバーに「ナビゲーションロック」ボタンを追加した。
- 標準のボタンツールバーに「コメントの表示」ボタンを追加した。
- 標準のボタンツールバーに「ショートカットの作成」ボタンを追加した。
- 標準のボタンツールバーに「Sleipnir オプション」ボタンを追加した。
- 標準のボタンツールバーに「名前を付けて保存」ボタンを追加した。
- 標準のボタンツールバーに「選択部分のリンクをコピー」ボタンを追加した。
- バージョン情報に起動時間を表示するようにした。（暫定）
- アドレスバー、検索バーで CTRL+A で全選択を行うようにした。
- RSS バーを既読管理のできる 1.22 にアップデートした。
- ポップアップをブロックしたときに効果音を鳴らすようにした。
- セキュリティ｜ページブロックの有効を実装した。
- セキュリティ｜ページブロックマネージャを実装した。
- Sleipnir Speed Launcher を作成した。
- セキュリティ｜クリップボードの自動クリアを実装した。（タブを閉じた時にクリッ
　プボードを空にします。）
- ツール｜クリップボードの監視を実装した。
- ツール｜クリップボードのクリアを実装した。
- Sleipnir オプション｜クリップボードを実装した。
- 編集｜クリップボードテキストの検索を実装した。
- about:home でホームページを開くようにした。（次回正式版からスタートアップは
　about:home を登録します。）
- 開くダイアログでオートコンプリートを使用できるようにした。
- Bookmarklet に対応した。
- アドレスバーで SHIFT キーによるトグルに対応した。
- user.ini に HideSingleTab キーを追加した。（true にすると、タブが１つの時に
　TabDock が隠れるようになります。）
- ポップアップブロック数を表示するようにした。
- ブロック数のクリアを実装した。
- ステータスバーのポップアップブロックアイコンをクリックでポップアップブロック
　マネージャを表示するようにした。
- ステータスバーのポップアップブロックアイコンを右クリックで 1.66 と同様のメニ
　ューを表示するようにした。
- 標準のボタンに RSS バーを追加した。（アイコンは暫定です。）
- ポップアップブロックを実装した。
- ダイアログ抑制/サイレントモードを実装した。
- セキュリティ｜ポップブロックの有効にするを実装した。
- セキュリティ｜ポップアップブロックマネージャを実装した。
- セキュリティ｜ポップアップ/ダイアログの抑制｜不要なダイアログのみ抑制を実装し
　た。（ActiveX の警告ダイアログとスクリプトエラーを抑制します。）
- セキュリティ｜ポップアップ/ダイアログの抑制｜完全にダイアログを抑制を実装した。
　（Alert や、InputBox 含め問答無用で全てのダイアログを抑制します。このチェック
　は入れないことを推奨します。）
- 個人情報の削除｜Favicon のキャッシュ削除を実装した。
- Sleipnir オプション｜検索バー｜コンボボックスとリストボックスの幅指定を実装し
　た。

[仕様変更]
- プラグイン/共有ライブラリの拡張子を .dll から .fx に変更した。
- アドレスバー、検索バーをクリック時にすぐに全選択を行うようにした。
- アドレスバーをナビゲート時に書き換えるようにした。
- クリップボードの監視で複数の URI を開くようにした。
- エクスプローラバータブの可視状態の初期値を変更した。
- Sleipnir オプションカテゴリの名称を一部変更した。
- Sleipnir オプションの項目を１行選択にした。
- 最後のタブを閉じたときに、ブラウザ情報（セキュリティ、履歴、ブラウザエンジン）
　を初期化するようにした。
- ポップアップブロックの動作を改善した。
- CTRL キー押下中はポップアップをブロックしないようにした。
- RssAutoDiscovery Plugin のアイコンを変更した。
- ツール｜個人情報の削除 削除を行った際、前回のチェック状況を保存し、次回表示時
　に反映するようにした。(1.66と同様の動作とした)
- ホイールクリックの挙動を Sleipnir 1.66 に合わせた。（ホイールクリックでページ
　スクロールができます。）
- 実行ファイル名を iexplore.exe から Sleipnir.exe に変更した。
- 暫定的に有効にしていた IE のポップアップ機能を無効にした。
- 暫定的に有効にしていた IE の画像リサイズ機能を無効にした。
- 暫定的に有効にしていた IE のイメージツールバー機能を無効にした。

[不具合修正]
- 最近閉じたページメニューのタイトルを指定の文字数で切り取るようにした。
- 右を全て閉じるで落ちることがある不具合を修正した。
- エクスプローラバーの自動表示の判定をウィンドウ端（つかめるところ）を除くよう
　にした。（bug#1099、bug#1076）
- お気に入りグループをメニューから開いたときに順序がおかしくなる不具合を修正し
　た。
- ローカルや、PDF を開いているときにメニューを開くと落ちる不具合を修正した。
- 読み込み中にウィンドウを閉じると落ちる不具合を修正した。
- Sleipnir オプションのタブオーダーがおかしい不具合を修正した。
- タスクトレイの操作で落ちる不具合を修正した。(test7の不具合)
- ツールバーをカスタマイズしたときに、シェブロンの計算がおかしくなる不具合を修
　正した。
- ツールバーをカスタマイズ後に落ちる不具合を修正した。
- QuickSecurity の挙動がおかしい不具合を修正した。
- settings/<user>/caches/shortcuts/ フォルダにショートカットファイルが蓄積され
　ていく不具合を修正した。
- スタイルファイルから Panel の順番を既定から変更すると落ちることがある不具合を
　修正した。
- コンテキストメニューから「新しいウィンドウで開く」がポップアップブロックされ
　る不具合を修正した（test4の不具合）
- OpenLinkNewWindow がポップアップブロックされる不具合を修正した。(test3の不具
　合、右ダブルクルックは今のところ OpenLinkNewWindow に対応していません。）
- 長い URI を選択すると、ステータスバーの描画が乱れる不具合を修正した。
- タスクトレイに格納されると、個人情報の削除の項目が表示されなくなる不具合を修
　正した。(bug#966)
- お気に入りグループ｜前回終了時の状態を編集モードで削除すると落ちる不具合を修
　正した。(bug#786)
- 検索バーの検索文字に、'&'、'=' が含まれると検索できなかった不具合を修正した。
　(bug#679)
- 検索バーのコンボボックス、リストボックスをクリックしてもドロップダウンが表示
　されない事があった不具合を修正した。
- 検索バーのリストボックスを選択した後、フォーカスがどこにも当たらない状態にな
　っていた不具合を修正した。（検索文字のコンボボックスにフォーカスが当たるよう
　に変更した。）
- 検索バーでショートカット文字列の区切りに全角スペースが対応していなかった不具合
　を修正した。
- 検索バーで複数単語検索の区切りに全角スペースが対応していなかった不具合を修正
　した。
- タブを閉じた後のアクティブ順で、最後にアクティブなタブの挙動がおかしい不具合
　を修正した。（test1 の不具合）
- ReBar のシェブロン(>>)が表示されないことがある不具合を修正した。（スキン使用
　時は表示されません。未実装です。）
- Sleipnir.exe のアイコンを修正した。
- Windows XP のテーマ使用時にブラウザ内のコントロールにテーマが適用されない不具
　合を修正した。 
- タブのアクティブ順をアクティブな順にしていると、落ちることがある不具合を修正
　した。
- 検索バー｜ドロップと同時にキーワードを検索するのチェックが保存されない不具合
　を修正した。
- Sleipnir がアクティブな時にアプリケーションキー(音量調節等）が効かなくなる不
　具合を修正した。
- 検索バーで検索の際、半角スペースが URL エンコードされない不具合を修正した。
- MBCS 版で検索バーで Google(日本語) で検索した時に、落ちる事があった不具合を修
　正した。(bug#1022)
- MBCS 版で検索エンジンのエンコードに URL_ENCODE を指定した時に、検索文字が途中
　で切れてしまう不具合を修正した。


====================================
Sleipnir 2.00 beta4 リリースノート
====================================

Sleipnir 2.00 beta3 からの変更点は下記の通りです。

[重要な新機能]
- アドバンスド検索バーを実装した。
- 個人情報の削除を実装した。
- エクスプローラバータブを既定では表示しないようにした。（エクスプローラバーと
　連動して表示します。オプションで以前の動作にカスタマイズすることができます。）
- 戻る/進むの履歴を実装した。
- プロキシ切り替えに対応した。
- スクリプトエラーを表示しないようにした。
- Windows 98/98SE/Me でセキュリティ切り替えが効かない不具合を修正した。
- Flash 上でマウスジェスチャが開始できない不具合を修正した。（右ボタン押下を奪
　うようにしました。Sleipnir 1.66 互換）
- タブの追加と削除｜タブを閉じた後に表示するタブ｜アクティブにした順を追加した。
- プロキシメニューを追加した。

[新機能]
- 全般的な最適化を行った。
- 起動・終了を高速化した。
- エクスプローラバー｜エクスプローラバータブの可視状態を自動で変更するを追加し
　た。（ExplorerBar Dock Plugin）
- 戻る履歴を提供する GoBack Menu Plugin を追加した。
- 進む履歴を提供する GoForward Menu Plugin を追加した。
- タブの追加と削除｜タブを閉じた後に表示するタブ｜アクティブにした順を追加した。
- ウィンドウ｜スクロール｜ページの先頭を追加した。
- ウィンドウ｜スクロール｜1ページ上へを追加した。
- ウィンドウ｜スクロール｜1ページ下へを追加した。
- ウィンドウ｜スクロール｜ページの先頭を追加した。
- ウィンドウ｜スクロール｜右へを追加した。
- ウィンドウ｜スクロール｜左へを追加した。
- ウィンドウ｜ウィンドウ操作｜クライアントの最大化を追加した。
- ウィンドウ｜ウィンドウ操作｜クライアントの最小化を追加した。
- SleipnirOne Importer Plugin に Scroll系/MaiximizeClient/MinimizeClient を追加
　した。
- プロキシメニューを追加した。
- プロキシ｜プロキシマネージャを追加した。
- プロキシ｜ダイレクトに接続を追加した。
- プロキシ｜インターネットオプションで接続を追加した。
- スクリプトエラーを表示しないようにした。（後ほどオプションに入れます。）
- バージョン情報ダイアログにビルド番号を表示するようにした。
- Internet Explorer｜<a> タグの target指定に従うを実装した。（IEBrowser Plugin）
- Internet Explorer｜UserAgent を実装した。（IEBrowser Plugin）
- アドバンスド検索バー（ 動的にカテゴリ用のコンボ、リストボックスが表示します）
　を実装した。
- 検索バーで POST による検索に対応した。
- 検索バーでスペース区切りの複数キーワード検索に対応した。
- ツール｜個人情報の削除を実装した。（Internet Explorerのクッキー、
　Internet Explorer の履歴、Internet Explorer の一時ファイル、アドレスバーの履
　歴、検索バーの履歴、インターネットの履歴）
- ツール｜Sleipnirオプション｜クライアント｜終了｜クライアントの終了時に個人情
　報を削除するを実装した。

[仕様変更]
- 初回起動時のタブスタイルを多段表示に変更した。
- 初回起動時に Windows のテーマが有効な時は default スキンを使用するようにした。
- ExplorerBar Tab Dock Plugin の可視状態を自動で変更するようにした。
- Fenrir Bookmark のブックマーク追加時のダイアログの UI を若干改良した。
- SleipnirOne Importer で Sleipnir 1.66 のお気に入りをインポートするときに、セ
　パレータもインポートするようにした。
- RssNotification 関係のアイコン名を RssAutoDiscovery に名前を変更した。（スキ
　ン制作者の方、すみません）
- Windows 2000/XP でも ATL71.DLL を使用しないようにした。
- お気に入りフォルダ削除時、確認ダイアログがでるようにした。
- SearchEngineList.xmlの仕様変更。

[不具合修正]
- 多重起動のチェックを修正した。
- Sleipnir.exe のショートカットで実行時の大きさが有効にならない不具合を修正した。
- ブラウザエンジンの切り替えで、IEBrowser が表示されないことがある不具合を修正
　した。
- タブ Dock のサイズがおかしくなる不具合を修正しました
- 右ダブルクリックの反応速度を改善した。
- Windows 98/98SE/Me でセキュリティ切り替えが効かない不具合を修正した。
- Flash 上でマウスジェスチャが開始できない不具合を修正した。（右ボタン押下を奪
　うようにしました。Sleipnir 1.66 互換）
- タブのスクロール時以外に、タブのサイズ変更系のチェックを指定できる不具合を修
　正した。
- タブ Dock を垂直方向（左、右）に配置したときに多段表示が正しく行えない不具合
　を修正した。
- タブのスクロール表示時に左をすべて閉じるでタブの描画がおかしくなる不具合を修
　正した。
- 多段タブ時に、エクスプローラバーを表示/非表示するとタブ Dock のサイズがおか
　しくなる不具合を修正した。(bug#11)
- ナビゲートロックしているとタブをすべて閉じるが正しく動作しない事がある不具合
　を修正した。(bug#805)
- 複数タブを開いている際に、タブを"閉じる"操作をしても Dock プラグイン｜タブの
　追加と削除での設定通りに動作しないことがある不具合を修正した。(bug#739)
- タブの追加で、左、先頭を指定しているときにアクティブなタブがおかしくなること
　がある不具合を修正した。
- お気に入りメニューの新しいウィンドウで開く、アクティブにするの指定が効かない
　不具合を修正した。(bug#691,bug#700)
- クリップボードのコピー(CF_TEXT)が正しく働かない不具合を修正した。(bug#722)
- 「戻る」が効かなくなることがある不具合を修正した。(bug#755)
- マウスの設定を左利きに用しているとマウスジェスチャが正しく動作しない不具合を
　修正した。(bug#519)
- Windows XP のテーマ使用時にタブ切り替え時に一瞬子ウィンドウのフレームが表示
　される不具合を修正した。
- Windows XP のテーマ使用時にタブに & が正しく表示されない不具合を修正した。
- 履歴パネル｜今日の履歴が0件になると、その日の履歴が開けなる不具合を修正した。


====================================
Sleipnir 2.00 beta3 リリースノート
====================================

Sleipnir 2.00 beta2.1 からの変更点は下記の通りです。

[重要な新機能]
- このフォルダを開くを実装した。
- お気に入りグループを実装した。（UI を旧バージョンから変更しています。編集を
　容易にするためお気に入りグループの「編集モード」という概念を追加しました。ド
　ラッグアンドドロップでお気に入りグループを編集できます。）
- 終了時の状態を復元するを実装した。
- 多重起動防止を実装した。

[新機能]
- Sleipnir 1.66 相当のクラシックスキンを追加した。
- Sleipnir オプション｜お気に入りメニューを追加した。
- Sleipnir オプション｜起動を追加した。
- クライアント｜クライアントの多重起動を許可するを追加した。（既定ではオフにし
　ています。今までと動きが変わりますのでご注意下さい。）
- お気に入りメニュー｜メニューに「このフォルダを開く」を追加するを実装した。
- お気に入りメニュー｜お気に入りメニューは新しいウィンドウで開くを実装した。
- お気に入りメニュー｜新しいウィンドウをアクティブにするを実装した。
- お気に入りメニュー｜メニュー項目の最大文字数を指定できるようにした。
- お気に入りメニュー｜メニューの最大項目数を指定できるようにした。
- お気に入りメニュー｜メニューの表示方法を実装した。
- お気に入りの追加で、ツリーに初期フォーカスを持たすようにした。
- グループ｜お気に入りグループとして保存を実装した。
- 起動｜起動時に終了時の状態を復元するを実装した。
- 起動｜起動時にパラメータが渡されると起動処理を中止するを実装した。
- 起動｜起動時に CTRL キーを押下すると起動処理を中止するを実装した。
- 編集 | 選択キーワードの検索を実装した。

[仕様変更]
- お気に入り/お気に入りグループのバックアップ保存先を <user>/backup に変更した。
- 検索バーで、ショートカット検索を行う時に大文字小文字の区別をしないようにした。
- RssNotification.dll → RssAutoDiscovery.dll に名前を変更した。

[不具合修正]
- RSS のメニューの項目がメニューに複数追加される不具合を修正した。
- 検索バーボタン | Google(I'm Feeling Lucky) のボタンが正しく登録できなかった
　不具合を修正した。
- タブの & が正しく表示されない不具合を修正した。
- マルチモニタ環境でセカンダリモニタでポップアップメニューが正しく表示されない
　不具合を修正した。
- ダブルクオーテーションがお気に入りタイトルにあるとドラッグ出来ない不具合を
　修正した。（bug#561,#449）
- スキン "vs_net" 選択中、エクスプローラバーの×ボタン画像が消える不具合を修正
　した。（bug#548）
- jigブラウザお気に入りで、アイテムにフォルダをドロップドロップした場合、
　アイテムの下にフォルダが追加されてしまう不具合を修正した。（bug#382）
- Favicon を取得時、サーバーが応答を返すのに時間が掛かった場合、
　他ページの Favicon 取得が行われなかった不具合を修正した（bug#517 ページ
  読み込み中にフリーズに関連している可能性があります。）
- Windows の起動時にクライアントを起動するで作られるショートカットに /s が付加
　されていた不具合を修正した。
- FenrirBookmark プラグインで、プロパティによるお気に入りの変更では変更済み状
　態にならない不具合を修正した。
- すべてのタブを閉じた状態で、ファイルを渡してもクライアントをタスクトレイから
　復帰することができない不具合を修正した。
- フォーカスの問題を修正した。(Tweak UI や IDManager が正常に動作するようにな
　りました。）
- スキン使用時にステータスバーに & を含む文字列が正しく表示されない不具合を修
　正した。(bug#410)
- ショートカットの作成がアクティブなタブに対して行われてしまう不具合を修正した。
- RoboformAdaptor.dll をスタイルファイルから外すと、セキュリティ切り替えが効か
　なくなる不具合を修正した。（IEBrowser.dll）

******************************************************************************

[重要な新機能]
- エクスプローラバーの自動表示を実装した。
- ナビゲーションロック機能を実装した。
- Sleipnir オプション｜マウス割り当て｜右ダブルクリックを実装した。
- すべて閉じるボタンを標準のボタンツールバーに追加した。
- このタブ以外を閉じるボタンを標準のボタンツールバーに追加した。
- 右をすべて閉じるボタンを標準のボタンツールバーに追加した。
- 左をすべて閉じるボタンを標準のボタンツールバーに追加した。

[新機能]
- 各タブの進捗状況が分かるようにタブのアイコンを動的に変更するようにした。
- リンクバーのリンクを Shift を押しながら押下で、新しいウィンドウで開くオプショ
　ンを一時的に切り替えられるようにした。
- Sleipnir オプション｜エクスプローラバー｜カーソルをウィンドウの端に持って行く
　と Dock を自動表示するを実装した。
- Sleipnir オプション｜エクスプローラバー｜自動表示の時に Dock にフォーカスを設
　定するを実装した。
- Sleipnir オプション｜エクスプローラバー｜必要の無くなった Dock を自動で隠すを
　実装した。

[仕様変更]
- システムメニューのメニューバーの表示の追加位置を変更した。
- プラグインオプション => Sleipnir オプションに名称を変更した。

[不具合修正]
- 新しいウィンドウを開いた時にフォーカスが正しく設定できない事がある不具合を修
　正した。(bug#237)
- ページが更新されたときにクライアントがアクティブになる不具合を修正した。
　(bug#285)
- 最大化状態で最小化し、タスクバーの右クリック時にアクティブにすると全面に表示
　される不具合を修正した。
- ファイルを渡したときに、クライアントがフォアグラウンドにならない不具合を修正
　した。
- ズームサイズがステータスバーに反映されないことがある不具合を修正した。
- gecko エンジンをインストールしていない状態で既定のブラウザを gecko にすると
　Sleipnir が起動できなくなる不具合を修正した。(bug#363)
- skins/default を skins/Default にリネームするとスキンメニューに default メニ
　ューが 2 つ出てしまう不具合を修正した。(bug#378)
- タブのメニューで非アクティブなタブに対しても正常にコマンドが実行できるように
　した。（bug#376）
- ウィンドウを最大化するとステータスバーの右端のペインが表示されなくなる不具合
　を修正した。(bug#373)
- プラグインオプション｜ウィンドウ｜ウィンドウの最大数のスピンボタンを消した。
　(bug#359)
- 非表示にしたツールバーのラベル（アドレス、検索、リンク等）が表示されることが
　ある不具合を修正した。(bug#329)
- メニューのシェブロン(>>)で空白の項目が追加される不具合を修正した。(bug#304)
- お気に入りの追加ダイアログからフォルダを作成すると、お気に入りパネルやリンク
　バーの動作がおかしくなることがある不具合を修正した。(bug#296)
- ダイナミックフォルダを誤認識する不具合を修正した。
- タブの削除でタブ Dock が一瞬ちらつく不具合を修正した。


====================================
Sleipnir 2.00 beta2.1 リリースノート
====================================

Sleipnir 2.00 beta2 からの変更点は下記の通りです。


[新機能]
- 引数による起動に対応した。既に Sleipnir が起動している場合は（その Sleipnir 
　の新しいウィンドウで開きます。）
- プラグインオプション｜クライアント｜標準のブラウザに設定するを実装した。（と
　りあえず関連づけは旧 Sleipnir と同じ方法を採用しました。最終的には "open" に
　関連づける予定です。）
- プラグインオプション｜ウィンドウ｜パラメータで開かれたウィンドウをアクティブ
　にするを実装した。
- プラグインオプション｜ウィンドウ｜DDE で開かれたウィンドウをアクティブにする
　を実装した。
- プラグインオプション｜ウィンドウ｜ファイルが渡されたらクライアントをアクティ
　ブにするを実装した。
- DDE に対応した。（サーバー名は Sleipnir です。Nakashima Tomoaki 氏作の WWWC 
　での動作を確認しました。）
- プラグインオプション｜タスクトレイ｜クライアントにファイルが渡されると、タス
　クトレイから出すを実装した。
- FenrirBookmark.dll プラグインでお気に入りの自動保存に対応した。
- FenrirBookmark.dll でお気に入りのバックアップに対応した。
- Sleipnir 起動中に Windows をシャットダウン/ログオフされたときの処理を実装した。
- 履歴パネル | 履歴は新規ウインドウで開くを実装した。
- 履歴パネル | 新規ウインドウをアクティブにするを実装した。
- 履歴パネル | ページにフォーカスを移すを実装した。
- 履歴パネル | 履歴をシングルクリックで開くを実装した。
- 履歴パネル | アクティブなツリー以外は閉じるを実装した。
- 履歴パネル | ツリーコントロールに[＋]を表示するを実装した。
- 履歴パネル | ツリーコントロールを一行選択にするを実装した。
- 履歴パネル | アイテムの削除を実装した。
- 履歴パネル | フォルダの削除を実装した。
- 履歴パネル | アクティブなウインドウで開くを実装した。
- 履歴パネル | 新しいウインドウで開くを実装した。

[仕様変更]
- 新規ウィンドウの時にアドレスバーにフォーカスを移すようにした。
- プラグインオプションを閉じたときに設定を保存するようにした。

[不具合修正]
- サーバー切り替え中のダイアログが表示される不具合を修正した。（未テスト）
- Sleipnir 1.66 お気に入りのインポート時に不正終了することがある不具合を修正し
　た。
- 履歴パネルをキーボードで操作し移動した際、履歴のページが開いてしまう
　不具合を修正した。
- お気に入りパネル | 右クリック時、アイテムが選択されない不具合を修正した。
- お気に入りパネル | ドラッグ＆ドロップ時、アイテムが選択されない事があった
　不具合を修正した。


==================================
Sleipnir 2.00 beta2 リリースノート
==================================

Sleipnir 2.00 beta1 からの変更点は下記の通りです。

******************************************************************************

[新機能]
- 初回起動時にお気に入り/設定のインポートダイアログを表示するようにした。
- システムメニュー(左上のアイコンクリック）｜メニューの表示を追加した。
- statusbar/RssNotification.dll プラグインを実装した。（<link> タグで RSS を指
　定しているとステータスバー RSS のアイコンを表示します。クリックすることで、
　RSS をお気に入りに追加できます。）
- 表示｜スタイルシート｜デフォルトのスタイルシートを実装した。
- 表示｜スタイルシート｜スタイルシートの無効を実装した。
- 表示｜スタイルシート｜(ユーザー定義)を実装した。
- 表示｜最新の状態に更新｜自動更新｜すべての自動更新を停止を実装した。
- 表示｜最新の状態に更新｜自動更新｜アクティブウィンドウは無効を実装した。
- 表示｜最新の状態に更新｜自動更新｜オフライン中は無効を実装した。
- 表示｜最新の状態に更新｜自動更新｜自動更新しないを実装した。
- 表示｜最新の状態に更新｜自動更新｜15秒を実装した。
- 表示｜最新の状態に更新｜自動更新｜30秒を実装した。
- 表示｜最新の状態に更新｜自動更新｜1分を実装した。
- 表示｜最新の状態に更新｜自動更新｜3分を実装した。
- 表示｜最新の状態に更新｜自動更新｜5分を実装した。
- 表示｜最新の状態に更新｜自動更新｜ユーザー指定を実装した。
- 表示｜タイトルバーの変更を禁止を実装した。
- 表示｜ステータスバーに URI のみ表示を実装した。
- 表示｜タスクトレイに入れるを実装した。
- セキュリティ｜ブラウザエンジンのセキュリティ｜JavaScript の実行を許可を実装し
　た。(これらの設定は現時点では IEBrowser.dll のみ有効です。）
- セキュリティ｜ブラウザエンジンのセキュリティ｜Java の実行を許可を実装した。
- セキュリティ｜ブラウザエンジンのセキュリティ｜ActiveX の実行を許可を実装した。
- セキュリティ｜ブラウザエンジンのセキュリティ｜ActiveX のダウンロードを許可を
　実装した。
- セキュリティ｜ブラウザエンジンのセキュリティ｜画像のロードを実装した。
- セキュリティ｜ブラウザエンジンのセキュリティ｜音楽の再生を実装した。
- セキュリティ｜ブラウザエンジンのセキュリティ｜ビデオの再生を実装した。
- セキュリティ｜ブラウザエンジンのセキュリティ｜開かれたタブにセキュリティを継
　承を実装した。
- セキュリティ｜タブ別のセキュリティ｜JavaScript の実行を許可を実装した。
- セキュリティ｜タブ別のセキュリティ｜Java の実行を許可を実装した。
- セキュリティ｜タブ別のセキュリティ｜ActiveX の実行を許可を実装した。
- セキュリティ｜タブ別のセキュリティ｜ActiveX のダウンロードを許可を実装した。
- セキュリティ｜タブ別のセキュリティ｜画像のロードを実装した。
- セキュリティ｜タブ別のセキュリティ｜音楽の再生を実装した。
- セキュリティ｜タブ別のセキュリティ｜ビデオの再生を実装した。
- セキュリティ｜クッキーの管理｜クッキーを実装した。（クッキー関係は今のところ
　IEBrowser.dll のみ対応しています。）
- セキュリティ｜クッキーの管理｜セッションごとのクッキーを実装した。
- セキュリティ｜クッキーの管理｜クッキー IE6｜すべてブロックを実装した。
- セキュリティ｜クッキーの管理｜クッキー IE6｜高を実装した。
- セキュリティ｜クッキーの管理｜クッキー IE6｜中-高を実装した。
- セキュリティ｜クッキーの管理｜クッキー IE6｜中を実装した。
- セキュリティ｜クッキーの管理｜クッキー IE6｜低を実装した。
- セキュリティ｜クッキーの管理｜クッキー IE6｜すべて許可を実装した。
- セキュリティ｜クッキーの管理｜クッキー IE6｜カスタムを実装した。
- プラグインオプション｜デザイン｜各ツールバーのタイトルを表示するを追加した。
- プラグインオプション｜タスクトレイ｜Windows 起動時にクライアントを起動するを
　追加した。
- プラグインオプション｜タスクトレイ｜クライアント起動時にタスクトレイに入れる
　を追加した。
- プラグインオプション｜タスクトレイ｜常にアイコンを表示するを追加した。
- プラグインオプション｜タスクトレイ｜クライアントが閉じられたときにタスクトレ
　イに入れるを追加した。
- プラグインオプション｜タスクトレイ｜クライアントが最小化されたときにタスクト
　レイに入れるを追加した。
- プラグインオプション｜タスクトレイ｜クライアントにファイルが渡されるとタスク
　トレイから出すを追加した。（クライアントがまだファイルの D&D や引数での起動に
　対応していませんので動作しません。）
- プラグインオプション｜タスクトレイ｜ホットキーを追加した。（タスクトレイから
　キー押下で、Sleipnir のウィンドウを復元できるようになりました。）
- 検索バーでメタ検索に対応した。（SearchEngineList.xml の action 要素に 'meta:'
　と記述することでメタ検索になります。エンジンの ActionNameを '|' で区切って
　指定することにより、一度に複数の検索エンジンで同時に検索できます。
　ex. <Request>meta:GoogleWeb|GoogleImage|GoogleNews</Request> ）
- お気に入りパネルのフォルダ選択時、Shift + Enter でフォルダを開くようにした。
- お気に入りパネルの Alt + Enter でプロパティを開くようにした。
- お気に入りパネルのドラッグで Ctrl キー（コピー）に対応した。
- お気に入りパネルででフォルダの新規追加時にダイアログを表示するようにした。
- お気に入りパネルのお気に入りフォルダでドラッグ＆ドロップによる移動に対応した。
- お気に入りパネルで挿入位置がおかしかった不具合を修正した。
- お気に入りパネルで RSS ダイナミックフォルダのアイテム表示に対応した。
- お気に入りパネル | アクティブなツリー以外は閉じるを実装した。
- 表示｜ズームで現在の倍率を表示するようにした。
- ステータスバーにズームプラグインを追加した。（statusbar/ZoomControl.dll）
- ステータスバーにセキュリティ簡易切り替えプラグインを追加した。
　（statusbar/QuickSecurity.dll / デフォルトで有効になっています。左クリックで
　セキュリティを自動で反転、右クリックで詳細設定です。以前のセキュリティ切り替
　えを使用する場合は、style/sleipnir.ini の [StautusBar] セクションを編集してく
　ださい。）
- FenrirBookmark.dll｜お気に入りのプロパティを実装した。
- 検索バー｜ページ検索を実装した。（検索バーで Ctrl+Enter でも実行できます。）
- 検索バー｜ハイライトを実装した。（検索バーで Ctrl+Shift+Enter でも実行できま
　す。）

[仕様変更]
- Sleipnir 1.66 のインポートでお気に入りファイルが選択されていないときは OK ボ
　タンを無効にするようにした。（インポートしない時を除く。）
- 未実装項目は一時的にメニューから外した。
- jig ブラウザのお気に入りプロパティのダイアログ表示を変更した。
- jig ブラウザお気に入りの設定変更を再起動無しで反映するようにした。
- タブが１つの時は NextTab/PreviousTab アクションを実行しないようにした。

[不具合修正]
- スキンを切り替えると標準のボタンツールバーの横幅が広くなる不具合を修正した。
- お気に入りツリーにアイテムがドラッグされた時にフォーカスが設定されなかった不
　具合を修正した。
- ページ表示中に表示｜ズームを実行すると落ちる不具合を修正した。
- リンクバーの項目が無い領域で右クリックすると、既定のポップアップメニューが
　表示されない不具合を修正した。
- jig ブラウザお気に入りで、フォルダの対応がおかしくなる事があった不具合を修正
　した。
- お気に入りツリーでアイテムをドラッグ＆ドロップする際に落ちることがあった不具
　合を修正した。
- お気に入りにアクティブなページを追加する際、ダイアログが出ていた不具合を修正
　した。
- マウスジェスチャの設定画面で、ダイアログ表示時にがおかしくなる不具合を修正し
　た。

******************************************************************************
 
 [新機能]
 - ファイル｜新規作成｜クリップボードから作成を実装した。
 - ファイル｜新規作成｜アクティブなウィンドウのコピーをを実装した。
 - ファイル｜新規作成｜選択キーワードを URI として開くを実装した。
 - ファイル｜新規作成｜選択部分のリンクを開くを実装した。
 - 編集｜選択キーワードの検索を一部実装した。（実装中）
 - 編集｜選択キーワードの日英翻訳を実装した。
 - 編集｜選択キーワードの英日翻訳を実装した。
 - 編集｜選択キーワードをメールで送信を実装した。
 - 編集｜拡張コピー｜タイトルのコピーを実装した。
 - 編集｜拡張コピー｜URI のコピーを実装した。
 - 編集｜拡張コピー｜タイトルと URI のコピーを実装した。
 - 編集｜拡張コピー｜タイトルと URI からアンカータグを作成を実装した。
 - 編集｜拡張コピー｜選択部分のリンクを開くを実装した。
 - 表示｜最新の状態に更新｜すべて更新を実装した。
 - 表示｜最新の状態に更新｜完全更新を実装した。
 - 表示｜最新の状態に更新｜すべて完全更新を実装した。
 - 表示｜中止｜すべて中止を実装した。
 - 表示｜選択部分のソースを表示を実装した。
 - 表示｜移動｜上のディレクトリに移動を実装した。
 - 表示｜コメントの表示を実装した。
 - 表示｜ズーム｜（50% 〜 200%）を実装した。
 - 表示｜ズーム｜ズームインを実装した。
 - 表示｜ズーム｜ズームアウトを実装した。
 - 表示｜ズーム｜ユーザー指定を実装した。
 - 標準のボタンに上のディレクトリに移動を追加した。
 - プラグインオプション｜ユーザ インタフェース｜マウスジェスチャを実装した。
 - プラグインオプション｜ユーザ インタフェース｜マウス割り当てを実装した。
 - 左ボタンでテキスト選択時にポップアップを表示するを実装した。
 - OpenLinkNewWindow はポップアップを無視するを実装した。
 - クリック割り当て｜左ダブルクリックを実装した。
 - クリック割り当て｜ホイールクリックを実装した。
 - クリック割り当て｜右->左クリックを実装した。
 - クリック割り当て｜左->右クリックを実装した。
 - クリック割り当て｜第4ボタンクリックを実装した。
 - クリック割り当て｜第5ボタンクリックを実装した。
 - ホイール回転割り当て｜タブ切り替えを実装した。
 - ホイール回転割り当て｜水平スクロールを実装した。
 - ホイール回転割り当て｜戻る/進むを実装した。
 - ホイール回転割り当て｜ズームを実装した。
 - Alt＋ホイール回転でズーム機能を実装した。
 - ファイル｜他ブラウザのお気に入り/設定をインポートを実装した。
 - Internet Explorer のお気に入りをインポートする IEImporter.dll プラグインを実
 　装した。
 - Sleipnir Version 1.66 のお気に入り/設定をインポートする 
 　SleipnirOneImporter.dll プラグインを実装した。（マウスジェスチャの設定もイン
 　ポートできます。未実装のアクションはインポートできません。）
 - FenrirBookmark.dll の読み込み/書き込み速度を向上させた。
 - FenrirBookmark で変更がないときは無駄な保存をしないようにした。
 - お気に入りパネルの設定ダイアログを実装した。
 - お気に入りパネル｜お気に入りは新規ウインドウで開くを実装した。
 - お気に入りパネル｜新規ウインドウをアクティブにするを実装した。
 - お気に入りパネル｜ページにフォーカスを移すを実装した。
 - お気に入りパネル｜ツリーコントロールに[＋]を表示するを実装した。
 - お気に入りパネル｜ツリーコントロールを一行選択にするを実装した。
 - お気に入りパネル｜お気に入りをシングルクリックで開くを実装した。
 - お気に入りパネル｜このフォルダを開くを実装した。
 - お気に入りパネルでコンテキストキーでメニューを表示するようにした。
 - お気に入りパネルでお気に入りを Delete キーで削除できるようにした。
 - お気に入りパネルで Shift キーを押しながら左クリック、エンターキーを押した際、
 　お気に入りをウィンドウを作成して開くか、アクティブなウィンドウで開くかトグル
 　できるようにした。
 - Webページのリンクをドラッグ＆ドロップでお気に入りに追加できるようにした。
 - 起動時にお気に入りツリーの第１階層を展開するようにした。
 
 [仕様変更]
 - FenrirBookmark.dll のフォーマットを変更した。旧バージョンのお気に入りは使えな
 　くなります。●注意(正式版までにもう一度変更する可能性があります。お気に入りは
 　Sleipnir 1.66/Internet Explorer で管理してください。）
 ・jigブラウザサービスの設定ファイルを BookmarkPanel.ini から JigService.ini に
 　変更した。
 - お気に入りの D&D 時のフォルダを開くタイミングを一秒に変更した。
 
 [不具合修正]
 - PersonalBar.ini の誤字を修正した。
 - 戻る/進むが正しく認識されないことがある不具合を修正した。
 - アドレスバーのアイコンをドラッグするとアドレスバーが動作しなくなる不具合を修
 　正した。(bug#163)
 - お気に入りをドラッグ中、エスケープキーを２度押さないとキャンセルにならない不
 　具合を修正した。
 - jigブラウザお気に入りにアイテムをドラッグ中、閉じているフォルダにフォーカスが
 　当たらない不具合を修正した。
 - お気に入りのルートにD&D で移動時に登録できなかった不具合を修正した。
 - jigブラウザお気に入りドロップ時に jigブラウザ同士の移動がコピーになっていた不
 　具合を修正した。
 - ナビゲート中の about:blank が常に、新規ウィンドウに判断される不具合を修正し
 　た。（このフォルダを開く等が正しく認識されるようになりました。bug#177）
 - MBCS 版で検索バーの文字列が化けていた不具合を修正した。

******************************************************************************

[新機能]
- アドレスバー｜リストからアドレスを選択と同時に開くを実装した。(bug#89)
- アドレスバー｜ドロップと同時に URI を開くを実装した。
- アドレスバーのドロップターゲットに対応した、
- アドレスバーのアイコンをドラッグできるよにした。
- リンクバーでの OLE ドラッグアンドドロップに完全対応した。
- リンクバー｜新しいウィンドウで開くを実装した。
- リンクバー｜新しいウィンドウをアクティブにするを実装した。
- リンクバー｜ボタンの最大幅を指定するを実装した。
- リンクバーのシェブロン(>>)に対応した。(現在はスキン使用時に >> は表示されませ
　ん。正式版までに対応します。）
- 検索バー｜ドロップと同時にキーワードを検索するを実装した。
- 検索バーのドロップターゲットに対応した。
- IE の画像リサイズに対応した。(暫定)
- IE のポップアップブロックに対応した。(暫定)
- 5 ボタンマウスに対応した。(bug#35)
- IEFavorites を大幅に高速化した。
- IEFavorites｜プロパティをサポートした。
- IEFavorites｜名前の変更をサポートした。
- IEFavorites｜削除をサポートした。
- IEFavorites のソートのアルゴリズム見直し。
- 表示｜フォーカス｜ビューを実装した。
- 表示｜フォーカス｜アドレスバーを実装した。(bug#131)
- 表示｜フォーカス｜検索バーを実装した。
- 表示｜フォーカス｜エクスプローラバーを実装した。
- タブ Dock のクリック割り当て「戻る」を実装した。(bug#9)

[仕様変更]
- IeBookmark.dll を IEFavorites.dll にリネームした。
- Gecko エンジンを plugins/browser/ から addons/ に移動した。（再度 
　install_gecko.bat を実行してください。）
- フォーカスの制御方法を若干変更した。
- キーボードショートカットの処理を若干変更した。
- メニューを右クリックで選択できないようにした。(bug#30)

[不具合修正]
- user.ini が Application Data に生成されていた不具合を修正した。(bug#126)
- リンクバーで & を含むお気に入りが正しく表示されない不具合を修正した。
- スキン切り替えでリンクバーが太くなることがある不具合を修正した。
- エクスプローラバーのパネルが 0 個の時に落ちる不具合を修正した。
- Windows Me で移動ボタンが表示されないことがある不具合を修正した。(bug#132)
- アドレスバーの履歴数が 0 に設定されている際に落ちる不具合を修正した。(bug#148)
- 検索バーの履歴数が 0 に設定されている際に落ちる不具合を修正した。(bug#121/bug#67)
- 検索キーワードの UTF8 エンコード時、キーワードの後ろに %00 が付加されてしまう
　不具合を修正した。
- お気に入りパネルの同一ツリーからの移動がコピーになっている不具合を修正した。
　（お気に入りツリーのみ）
- アドレスバー/検索バーをクリック時に選択範囲がおかしくなる不具合を修正した。
- 検索バーのボタンのサイズがおかしかった不具合を修正した。
- タブ右クリックのお気に入りの追加がアクティブなページに対してのみ行われる不具
　合を修正した。(bug#155)
- ドキュメントの不備を修正した。(bug#143)


==================================
Sleipnir 2.00 beta2 リリースノート
==================================

Sleipnir 2.00 beta1 からの変更点は下記の通りです。

******************************************************************************

[新機能]
- 初回起動時にお気に入り/設定のインポートダイアログを表示するようにした。
- システムメニュー(左上のアイコンクリック）｜メニューの表示を追加した。
- statusbar/RssNotification.dll プラグインを実装した。（<link> タグで RSS を指
　定しているとステータスバー RSS のアイコンを表示します。クリックすることで、
　RSS をお気に入りに追加できます。）
- 表示｜スタイルシート｜デフォルトのスタイルシートを実装した。
- 表示｜スタイルシート｜スタイルシートの無効を実装した。
- 表示｜スタイルシート｜(ユーザー定義)を実装した。
- 表示｜最新の状態に更新｜自動更新｜すべての自動更新を停止を実装した。
- 表示｜最新の状態に更新｜自動更新｜アクティブウィンドウは無効を実装した。
- 表示｜最新の状態に更新｜自動更新｜オフライン中は無効を実装した。
- 表示｜最新の状態に更新｜自動更新｜自動更新しないを実装した。
- 表示｜最新の状態に更新｜自動更新｜15秒を実装した。
- 表示｜最新の状態に更新｜自動更新｜30秒を実装した。
- 表示｜最新の状態に更新｜自動更新｜1分を実装した。
- 表示｜最新の状態に更新｜自動更新｜3分を実装した。
- 表示｜最新の状態に更新｜自動更新｜5分を実装した。
- 表示｜最新の状態に更新｜自動更新｜ユーザー指定を実装した。
- 表示｜タイトルバーの変更を禁止を実装した。
- 表示｜ステータスバーに URI のみ表示を実装した。
- 表示｜タスクトレイに入れるを実装した。
- セキュリティ｜ブラウザエンジンのセキュリティ｜JavaScript の実行を許可を実装し
　た。(これらの設定は現時点では IEBrowser.dll のみ有効です。）
- セキュリティ｜ブラウザエンジンのセキュリティ｜Java の実行を許可を実装した。
- セキュリティ｜ブラウザエンジンのセキュリティ｜ActiveX の実行を許可を実装した。
- セキュリティ｜ブラウザエンジンのセキュリティ｜ActiveX のダウンロードを許可を
　実装した。
- セキュリティ｜ブラウザエンジンのセキュリティ｜画像のロードを実装した。
- セキュリティ｜ブラウザエンジンのセキュリティ｜音楽の再生を実装した。
- セキュリティ｜ブラウザエンジンのセキュリティ｜ビデオの再生を実装した。
- セキュリティ｜ブラウザエンジンのセキュリティ｜開かれたタブにセキュリティを継
　承を実装した。
- セキュリティ｜タブ別のセキュリティ｜JavaScript の実行を許可を実装した。
- セキュリティ｜タブ別のセキュリティ｜Java の実行を許可を実装した。
- セキュリティ｜タブ別のセキュリティ｜ActiveX の実行を許可を実装した。
- セキュリティ｜タブ別のセキュリティ｜ActiveX のダウンロードを許可を実装した。
- セキュリティ｜タブ別のセキュリティ｜画像のロードを実装した。
- セキュリティ｜タブ別のセキュリティ｜音楽の再生を実装した。
- セキュリティ｜タブ別のセキュリティ｜ビデオの再生を実装した。
- セキュリティ｜クッキーの管理｜クッキーを実装した。（クッキー関係は今のところ
　IEBrowser.dll のみ対応しています。）
- セキュリティ｜クッキーの管理｜セッションごとのクッキーを実装した。
- セキュリティ｜クッキーの管理｜クッキー IE6｜すべてブロックを実装した。
- セキュリティ｜クッキーの管理｜クッキー IE6｜高を実装した。
- セキュリティ｜クッキーの管理｜クッキー IE6｜中-高を実装した。
- セキュリティ｜クッキーの管理｜クッキー IE6｜中を実装した。
- セキュリティ｜クッキーの管理｜クッキー IE6｜低を実装した。
- セキュリティ｜クッキーの管理｜クッキー IE6｜すべて許可を実装した。
- セキュリティ｜クッキーの管理｜クッキー IE6｜カスタムを実装した。
- プラグインオプション｜デザイン｜各ツールバーのタイトルを表示するを追加した。
- プラグインオプション｜タスクトレイ｜Windows 起動時にクライアントを起動するを
　追加した。
- プラグインオプション｜タスクトレイ｜クライアント起動時にタスクトレイに入れる
　を追加した。
- プラグインオプション｜タスクトレイ｜常にアイコンを表示するを追加した。
- プラグインオプション｜タスクトレイ｜クライアントが閉じられたときにタスクトレ
　イに入れるを追加した。
- プラグインオプション｜タスクトレイ｜クライアントが最小化されたときにタスクト
　レイに入れるを追加した。
- プラグインオプション｜タスクトレイ｜クライアントにファイルが渡されるとタスク
　トレイから出すを追加した。（クライアントがまだファイルの D&D や引数での起動に
　対応していませんので動作しません。）
- プラグインオプション｜タスクトレイ｜ホットキーを追加した。（タスクトレイから
　キー押下で、Sleipnir のウィンドウを復元できるようになりました。）
- 検索バーでメタ検索に対応した。（SearchEngineList.xml の action 要素に 'meta:'
　と記述することでメタ検索になります。エンジンの ActionNameを '|' で区切って
　指定することにより、一度に複数の検索エンジンで同時に検索できます。
　ex. <Request>meta:GoogleWeb|GoogleImage|GoogleNews</Request> ）
- お気に入りパネルのフォルダ選択時、Shift + Enter でフォルダを開くようにした。
- お気に入りパネルの Alt + Enter でプロパティを開くようにした。
- お気に入りパネルのドラッグで Ctrl キー（コピー）に対応した。
- お気に入りパネルででフォルダの新規追加時にダイアログを表示するようにした。
- お気に入りパネルのお気に入りフォルダでドラッグ＆ドロップによる移動に対応した。
- お気に入りパネルで挿入位置がおかしかった不具合を修正した。
- お気に入りパネルで RSS ダイナミックフォルダのアイテム表示に対応した。
- お気に入りパネル | アクティブなツリー以外は閉じるを実装した。
- 表示｜ズームで現在の倍率を表示するようにした。
- ステータスバーにズームプラグインを追加した。（statusbar/ZoomControl.dll）
- ステータスバーにセキュリティ簡易切り替えプラグインを追加した。
　（statusbar/QuickSecurity.dll / デフォルトで有効になっています。左クリックで
　セキュリティを自動で反転、右クリックで詳細設定です。以前のセキュリティ切り替
　えを使用する場合は、style/sleipnir.ini の [StautusBar] セクションを編集してく
　ださい。）
- FenrirBookmark.dll｜お気に入りのプロパティを実装した。
- 検索バー｜ページ検索を実装した。（検索バーで Ctrl+Enter でも実行できます。）
- 検索バー｜ハイライトを実装した。（検索バーで Ctrl+Shift+Enter でも実行できま
　す。）

[仕様変更]
- Sleipnir 1.66 のインポートでお気に入りファイルが選択されていないときは OK ボ
　タンを無効にするようにした。（インポートしない時を除く。）
- 未実装項目は一時的にメニューから外した。
- jig ブラウザのお気に入りプロパティのダイアログ表示を変更した。
- jig ブラウザお気に入りの設定変更を再起動無しで反映するようにした。
- タブが１つの時は NextTab/PreviousTab アクションを実行しないようにした。

[不具合修正]
- スキンを切り替えると標準のボタンツールバーの横幅が広くなる不具合を修正した。
- お気に入りツリーにアイテムがドラッグされた時にフォーカスが設定されなかった不
　具合を修正した。
- ページ表示中に表示｜ズームを実行すると落ちる不具合を修正した。
- リンクバーの項目が無い領域で右クリックすると、既定のポップアップメニューが
　表示されない不具合を修正した。
- jig ブラウザお気に入りで、フォルダの対応がおかしくなる事があった不具合を修正
　した。
- お気に入りツリーでアイテムをドラッグ＆ドロップする際に落ちることがあった不具
　合を修正した。
- お気に入りにアクティブなページを追加する際、ダイアログが出ていた不具合を修正
　した。
- マウスジェスチャの設定画面で、ダイアログ表示時にがおかしくなる不具合を修正し
　た。

******************************************************************************
 
 [新機能]
 - ファイル｜新規作成｜クリップボードから作成を実装した。
 - ファイル｜新規作成｜アクティブなウィンドウのコピーをを実装した。
 - ファイル｜新規作成｜選択キーワードを URI として開くを実装した。
 - ファイル｜新規作成｜選択部分のリンクを開くを実装した。
 - 編集｜選択キーワードの検索を一部実装した。（実装中）
 - 編集｜選択キーワードの日英翻訳を実装した。
 - 編集｜選択キーワードの英日翻訳を実装した。
 - 編集｜選択キーワードをメールで送信を実装した。
 - 編集｜拡張コピー｜タイトルのコピーを実装した。
 - 編集｜拡張コピー｜URI のコピーを実装した。
 - 編集｜拡張コピー｜タイトルと URI のコピーを実装した。
 - 編集｜拡張コピー｜タイトルと URI からアンカータグを作成を実装した。
 - 編集｜拡張コピー｜選択部分のリンクを開くを実装した。
 - 表示｜最新の状態に更新｜すべて更新を実装した。
 - 表示｜最新の状態に更新｜完全更新を実装した。
 - 表示｜最新の状態に更新｜すべて完全更新を実装した。
 - 表示｜中止｜すべて中止を実装した。
 - 表示｜選択部分のソースを表示を実装した。
 - 表示｜移動｜上のディレクトリに移動を実装した。
 - 表示｜コメントの表示を実装した。
 - 表示｜ズーム｜（50% 〜 200%）を実装した。
 - 表示｜ズーム｜ズームインを実装した。
 - 表示｜ズーム｜ズームアウトを実装した。
 - 表示｜ズーム｜ユーザー指定を実装した。
 - 標準のボタンに上のディレクトリに移動を追加した。
 - プラグインオプション｜ユーザ インタフェース｜マウスジェスチャを実装した。
 - プラグインオプション｜ユーザ インタフェース｜マウス割り当てを実装した。
 - 左ボタンでテキスト選択時にポップアップを表示するを実装した。
 - OpenLinkNewWindow はポップアップを無視するを実装した。
 - クリック割り当て｜左ダブルクリックを実装した。
 - クリック割り当て｜ホイールクリックを実装した。
 - クリック割り当て｜右->左クリックを実装した。
 - クリック割り当て｜左->右クリックを実装した。
 - クリック割り当て｜第4ボタンクリックを実装した。
 - クリック割り当て｜第5ボタンクリックを実装した。
 - ホイール回転割り当て｜タブ切り替えを実装した。
 - ホイール回転割り当て｜水平スクロールを実装した。
 - ホイール回転割り当て｜戻る/進むを実装した。
 - ホイール回転割り当て｜ズームを実装した。
 - Alt＋ホイール回転でズーム機能を実装した。
 - ファイル｜他ブラウザのお気に入り/設定をインポートを実装した。
 - Internet Explorer のお気に入りをインポートする IEImporter.dll プラグインを実
 　装した。
 - Sleipnir Version 1.66 のお気に入り/設定をインポートする 
 　SleipnirOneImporter.dll プラグインを実装した。（マウスジェスチャの設定もイン
 　ポートできます。未実装のアクションはインポートできません。）
 - FenrirBookmark.dll の読み込み/書き込み速度を向上させた。
 - FenrirBookmark で変更がないときは無駄な保存をしないようにした。
 - お気に入りパネルの設定ダイアログを実装した。
 - お気に入りパネル｜お気に入りは新規ウインドウで開くを実装した。
 - お気に入りパネル｜新規ウインドウをアクティブにするを実装した。
 - お気に入りパネル｜ページにフォーカスを移すを実装した。
 - お気に入りパネル｜ツリーコントロールに[＋]を表示するを実装した。
 - お気に入りパネル｜ツリーコントロールを一行選択にするを実装した。
 - お気に入りパネル｜お気に入りをシングルクリックで開くを実装した。
 - お気に入りパネル｜このフォルダを開くを実装した。
 - お気に入りパネルでコンテキストキーでメニューを表示するようにした。
 - お気に入りパネルでお気に入りを Delete キーで削除できるようにした。
 - お気に入りパネルで Shift キーを押しながら左クリック、エンターキーを押した際、
 　お気に入りをウィンドウを作成して開くか、アクティブなウィンドウで開くかトグル
 　できるようにした。
 - Webページのリンクをドラッグ＆ドロップでお気に入りに追加できるようにした。
 - 起動時にお気に入りツリーの第１階層を展開するようにした。
 
 [仕様変更]
 - FenrirBookmark.dll のフォーマットを変更した。旧バージョンのお気に入りは使えな
 　くなります。●注意(正式版までにもう一度変更する可能性があります。お気に入りは
 　Sleipnir 1.66/Internet Explorer で管理してください。）
 ・jigブラウザサービスの設定ファイルを BookmarkPanel.ini から JigService.ini に
 　変更した。
 - お気に入りの D&D 時のフォルダを開くタイミングを一秒に変更した。
 
 [不具合修正]
 - PersonalBar.ini の誤字を修正した。
 - 戻る/進むが正しく認識されないことがある不具合を修正した。
 - アドレスバーのアイコンをドラッグするとアドレスバーが動作しなくなる不具合を修
 　正した。(bug#163)
 - お気に入りをドラッグ中、エスケープキーを２度押さないとキャンセルにならない不
 　具合を修正した。
 - jigブラウザお気に入りにアイテムをドラッグ中、閉じているフォルダにフォーカスが
 　当たらない不具合を修正した。
 - お気に入りのルートにD&D で移動時に登録できなかった不具合を修正した。
 - jigブラウザお気に入りドロップ時に jigブラウザ同士の移動がコピーになっていた不
 　具合を修正した。
 - ナビゲート中の about:blank が常に、新規ウィンドウに判断される不具合を修正し
 　た。（このフォルダを開く等が正しく認識されるようになりました。bug#177）
 - MBCS 版で検索バーの文字列が化けていた不具合を修正した。

******************************************************************************

[新機能]
- アドレスバー｜リストからアドレスを選択と同時に開くを実装した。(bug#89)
- アドレスバー｜ドロップと同時に URI を開くを実装した。
- アドレスバーのドロップターゲットに対応した、
- アドレスバーのアイコンをドラッグできるよにした。
- リンクバーでの OLE ドラッグアンドドロップに完全対応した。
- リンクバー｜新しいウィンドウで開くを実装した。
- リンクバー｜新しいウィンドウをアクティブにするを実装した。
- リンクバー｜ボタンの最大幅を指定するを実装した。
- リンクバーのシェブロン(>>)に対応した。(現在はスキン使用時に >> は表示されませ
　ん。正式版までに対応します。）
- 検索バー｜ドロップと同時にキーワードを検索するを実装した。
- 検索バーのドロップターゲットに対応した。
- IE の画像リサイズに対応した。(暫定)
- IE のポップアップブロックに対応した。(暫定)
- 5 ボタンマウスに対応した。(bug#35)
- IEFavorites を大幅に高速化した。
- IEFavorites｜プロパティをサポートした。
- IEFavorites｜名前の変更をサポートした。
- IEFavorites｜削除をサポートした。
- IEFavorites のソートのアルゴリズム見直し。
- 表示｜フォーカス｜ビューを実装した。
- 表示｜フォーカス｜アドレスバーを実装した。(bug#131)
- 表示｜フォーカス｜検索バーを実装した。
- 表示｜フォーカス｜エクスプローラバーを実装した。
- タブ Dock のクリック割り当て「戻る」を実装した。(bug#9)

[仕様変更]
- IeBookmark.dll を IEFavorites.dll にリネームした。
- Gecko エンジンを plugins/browser/ から addons/ に移動した。（再度 
　install_gecko.bat を実行してください。）
- フォーカスの制御方法を若干変更した。
- キーボードショートカットの処理を若干変更した。
- メニューを右クリックで選択できないようにした。(bug#30)

[不具合修正]
- user.ini が Application Data に生成されていた不具合を修正した。(bug#126)
- リンクバーで & を含むお気に入りが正しく表示されない不具合を修正した。
- スキン切り替えでリンクバーが太くなることがある不具合を修正した。
- エクスプローラバーのパネルが 0 個の時に落ちる不具合を修正した。
- Windows Me で移動ボタンが表示されないことがある不具合を修正した。(bug#132)
- アドレスバーの履歴数が 0 に設定されている際に落ちる不具合を修正した。(bug#148)
- 検索バーの履歴数が 0 に設定されている際に落ちる不具合を修正した。(bug#121/bug#67)
- 検索キーワードの UTF8 エンコード時、キーワードの後ろに %00 が付加されてしまう
　不具合を修正した。
- お気に入りパネルの同一ツリーからの移動がコピーになっている不具合を修正した。
　（お気に入りツリーのみ）
- アドレスバー/検索バーをクリック時に選択範囲がおかしくなる不具合を修正した。
- 検索バーのボタンのサイズがおかしかった不具合を修正した。
- タブ右クリックのお気に入りの追加がアクティブなページに対してのみ行われる不具
　合を修正した。(bug#155)
- ドキュメントの不備を修正した。(bug#143)


